backend:
  name: git-gateway
  branch: master

site_url: https://pchihieu.netlify.app/

media_folder: "public/images/uploads"
public_folder: "/images/uploads"

collections:
  - name: blog
    label: Blog
    folder: src/content/blog
    create: true
    slug: "{{slug}}"
    path: "{{slug}}/index"
    extension: mdx
    format: frontmatter
    fields:
      - { label: "Title", name: "title", widget: "string" }
      
      - label: "Description"
        name: "description"
        widget: "text"
        hint: "Short description for SEO (max 160 chars)"
        required: false
      
      - label: "Date"
        name: "date"
        widget: "datetime"
        format: "YYYY-MM-DD"
      
      - label: "Featured Image"
        name: "image"
        widget: "image"
        hint: "Upload featured image"
        required: false
      
      - { label: "Tags", name: "tags", widget: "list", required: false, default: [] }
      
      - { label: "Authors", name: "authors", widget: "list", required: false, default: ["pchieuu"] }
      
      - { label: "Draft", name: "draft", widget: "boolean", default: false }
      
      - { label: "Body", name: "body", widget: "markdown" }